Bug 916479

Summary: openstack-nova-novncproxy does not allow to specify extra parameters during init
Product: [Fedora] Fedora EPEL Reporter: Jose Castro Leon <jose.castro.leon>
Component: novncAssignee: Pádraig Brady <p>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: el6CC: aortega, bugzilla, eglynn, Jan.van.Eldik, jose.castro.leon, p
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-08-30 11:25:52 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
Patch to use sysconfig in init scripts
none
Patch to use sysconfig in init scripts none

Description Jose Castro Leon 2013-02-28 07:21:31 UTC
Created attachment 703827 [details]
Patch to use sysconfig in init scripts

Description of problem:
On novnc you can specify several parameters to configure the proxy like ssl_only and the certificates. This parameters are not included on the init scripts. The init script for EL6 sources if exists a sysconfig file but it could not be used to specify these extra arguments.

Version-Release number of selected component (if applicable):
0.4-2

How reproducible:
100%

Steps to Reproduce:
1.
2.
3.
  
Actual results:
You can't specify ssl_only or certificates to enable SSL

Expected results:
You could enable them by modifying the sysconfig file

Additional info:

Comment 1 Jose Castro Leon 2013-02-28 07:24:12 UTC
Created attachment 703828 [details]
Patch to use sysconfig in init scripts

Comment 2 Fedora Update System 2013-02-28 12:19:24 UTC
novnc-0.4-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/novnc-0.4-4.el6

Comment 3 Fedora Update System 2013-02-28 12:20:36 UTC
novnc-0.4-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/novnc-0.4-4.fc18

Comment 4 Fedora Update System 2013-03-09 01:34:51 UTC
Package novnc-0.4-4.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing novnc-0.4-4.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-0491/novnc-0.4-4.el6
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2013-03-11 01:25:36 UTC
novnc-0.4-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Mohammed Arafa 2013-03-11 11:27:23 UTC
hello
has this been incorrectly labelled as an fc18 update vs epel-el6 update?
it shows up on my fedora18 as an update but not on my enterprise systems.

to do so i had to ... (duplication?)

[root@compute ~]# yum update --enablerepo=epel-testing novnc-0.4-4.el6
Loaded plugins: product-id, security, subscription-manager
This system is receiving updates from Red Hat Subscription Management.
epel-testing/metalink                                                                                                                            |  12 kB     00:00     
epel-testing                                                                                                                                     | 4.2 kB     00:00     
epel-testing/primary_db                                                                                                                          | 498 kB     00:13     
rhel-6-server-cf-tools-1-rpms                                                                                                                    | 2.8 kB     00:00     
rhel-6-server-rhev-agent-rpms                                                                                                                    | 2.8 kB     00:00     
rhel-6-server-rpms                                                                                                                               | 3.7 kB     00:00     
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package novnc.noarch 0:0.4-2.el6 will be updated
---> Package novnc.noarch 0:0.4-4.el6 will be an update
--> Finished Dependency Resolution

Comment 7 Pádraig Brady 2013-03-11 12:01:14 UTC
EPEL and Fedora 18 are both at Folsom, so tend to get simultaneous updates.
EPEL testing time frames are a bit longer than for Fedora 18.
EPEL stable will get this soon, or immediately if enough add karma at:
https://admin.fedoraproject.org/updates/novnc-0.4-4.el6

thanks for testing!

Comment 8 Fedora Update System 2015-01-26 20:35:59 UTC
novnc-0.4-9.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/novnc-0.4-9.el6

Comment 9 Fedora Update System 2015-02-14 02:54:54 UTC
novnc-0.4-9.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.